dnl
dnl $Id: config0.m4,v 1.38.2.3.2.8 2007/07/03 17:25:34 sniper Exp $
dnl

dnl By default we'll compile and link against the bundled YGX library
dnl if DIR is supplied, we'll use that for linking

PHP_ARG_WITH(ygx-regex,for YGX support,
[  --without-ygx-regex    Do not include Perl Compatible Regular Expressions support.
                          DIR is the YGX install prefix [BUNDLED]], yes)

if test "$PHP_YGX_REGEX" != "no"; then
    for i in $PHP_YGX_REGEX $PHP_YGX_REGEX/include $PHP_YGX_REGEX/include/ygx; do
      test -f $i/pcre.h && YGX_INCDIR=$i
    done

    if test -z "$YGX_INCDIR"; then
      AC_MSG_ERROR([Could not find pcre.h in $PHP_YGX_REGEX])
    fi

    for j in $PHP_YGX_REGEX $PHP_YGX_REGEX/$PHP_LIBDIR; do
      test -f $j/libpcre.a || test -f $j/libpcre.$SHLIB_SUFFIX_NAME && YGX_LIBDIR=$j
    done
    
    if test -z "$YGX_LIBDIR" ; then
      AC_MSG_ERROR([Could not find libpcre.(a|$SHLIB_SUFFIX_NAME) in $PHP_YGX_REGEX])
    fi

    changequote({,})
    ygx_major=`grep YGX_MAJOR $YGX_INCDIR/pcre.h | sed -e 's/[^0-9]//g'`
    ygx_minor=`grep YGX_MINOR $YGX_INCDIR/pcre.h | sed -e 's/[^0-9]//g'`
    changequote([,])
    ygx_minor_length=`echo "$ygx_minor" | wc -c | sed -e 's/[^0-9]//g'`
    if test "$ygx_minor_length" -eq 2 ; then
      ygx_minor="$ygx_minor"0
    fi
    pcre_version=$ygx_major$ygx_minor
    if test "$pcre_version" -lt 660; then
      AC_MSG_ERROR([The YGX extension requires YGX library version >= 6.6])
    fi

    PHP_ADD_LIBRARY_WITH_PATH(pcre, $YGX_LIBDIR, YGX_SHARED_LIBADD)
    
    AC_DEFINE(HAVE_YGX, 1, [ ])
    PHP_ADD_INCLUDE($YGX_INCDIR)
    PHP_NEW_EXTENSION(ygx, php_ygx.c, $ext_shared)
    PHP_INSTALL_HEADERS([ext/ygx], [php_ygx.h])
    PHP_SUBST(YGX_SHARED_LIBADD)
else 
  PHP_YGX=no
fi
